<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{308,132,1022,598}</property>
    <property name="Name">[pseprodv_locacao.scr]</property>
    <property name="Caption">[Produtos Disponiveis]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg

//skel VARIAVEL w_colsep = chr(179)
//skel VARIAVEL w_headsep = chr(196)
//skel VARIAVEL Z_Xtela = SaveScreen(0,16,3,79)
//skel VARIAVEL z_Blk1 = 'Z_COR:=SetColor("B/W"),Scroll(0,16,3,79,0),DispBox(0,16,3,79),'
//skel VARIAVEL z_Blk1 = z_Blk1 + 'DevPos(0,17),DevOut(Padc("(Cod:"+Str(pcod,5)+") "+alltrim(pdesc),58)),'
//skel VARIAVEL z_Blk1 = z_Blk1 + 'DevPos(1,17),DevOut(Padc("(%DscBloq:"+Alltrim(pbloqvenda)+") (Frv:"+Alltrim(str(pitens,4))+") (Saldo: "+ltrim(Str(peatual,4))+")",58)),'
//skel VARIAVEL z_Blk1 = z_Blk1 + 'DevPos(2,17),DevOut(Padc("(Marca:"+alltrim(pref)+") (Modelo:"+alltrim(pmarcamode)+") (Tipo:"+alltrim(ptipo)+")",58)),SetColor(Z_COR)'
//skel VARIAVEL z_blockppo = _CreateBlock( z_blk1 )
//skel VARIAVEL z_Blk1 = ""
//skel COMANDO DEPOIS RestScreen(0,16,3,79,Z_Xtela)
oContextMenu:=Hwg_ContextMenu()
hwg_Btn(oToolbar,5,5,64,64)
hwg_Btn(oToolbar,10,544,70,24)
hwg_TbMt(oToolbar,' 47;tb_cons("se_prodc",.f.);/-Ficha ;/-Exibe;sembitmap;;;Lucida Bright;-11;&/-Exibe;;6;')
hwg_TbMt(oToolbar,' 13;ret_pcod();Enter-Quant ;Enter - Quant;sembitmap;;;Lucida Bright;-11;Quant;;6;')
hwg_TbMt(oToolbar,' 32;ret_pcod();Barra-Confirma ;Barra - Confirma;sembitmap;;;Lucida Bright;-11;Confirma;;6;')
hwg_TbMt(oToolbar,' 80;psq_prod("P",D_oB);P-Pesquisa ;P - Pesquisa;sembitmap;;;Lucida Bright;-11;&P-Pesquisa;;6;')
// hwg_TbMt(oToolbar,' 43;ped_cod(d_ob);+-Cod_Quant ;+ - Cod_Quant;sembitmap;;;Lucida Bright;-11;&+-Cod_Quant;;6;')
hwg_TbMt(oToolbar,' -5;vb_prdfalta();F6-Lanca_Falta ;F6 - Lanca_Falta;sembitmap;;;Lucida Bright;-11;Lanca_Falta;;6;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()
if type("oDlgStatusBar")="B"
   oDlgStatusBar:Anchor:=14
endif

]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,568,1022,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{608,152,0}</property>
    </style>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{10,77,1000,354}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="font">
        <font name="Lucida Sans Unicode" width="0" height="-16" weight="400"/>
      </property>
      <property name="GridLinesSepColor">0</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onPosChange">
      <![CDATA[opObs:Refresh() ]]>
    </method>
    <method name="onInit">
      <![CDATA[hwg_TbFi(D_oB, 'Ref;preffab;C;@s15;10;;')
hwg_TbFi(D_oB, 'Apresentacao;Pdesc;C;@s29; 27;;')
hwg_TbFi(D_oB, 'Cod Barras;pdic6;N;9999999999999; 13;;')
hwg_TbFi(D_oB, 'Pr Venda;pvluvenda;N;9999.99; 7;;')
hwg_TbFi(D_oB, 'Cod;Pcod;N;99999;  5;N;')
hwg_TbFi(D_oB, 'Est;Peatual;N;999.999;7;;')
hwg_TbFi(D_oB, 'Pr Dinh;if(pdescbon>0,"d"+str(pvluvenda*(1-pdescbon/100),6,2),if(Se_Prod->PvluVen2>0.and.w_fgprom_ativa.and.(s_datual<=se_prod->pdataprog.or.w_promocao="S"),"p"+str(PVLUVEN2,6,2),if(PBLOQVENDA="S","b","")));C;x999.99; 7;;')
hwg_TbFi(D_oB, 'Gp Itens;pgpreco+lower(pabcfisica)+str(Pitens,4);N;xx9999;6;;')
D_oB:bColorSel:= RGB(3,23,233)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:Alias := alias()
D_oB:lDisableVScrollPos := .t.
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SE_PROD",.F.,.T.,{||.T.} }
d_ob:bEdit := {|D_oB| .t.}
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})
]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{410,0,483,47}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Produtos Disponiveis]</property>
      <property name="Justify">[Right]</property>
      <property name="font">
        <font name="Arial" width="0" height="-37" weight="700"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">5</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{103,444,905,84}</property>
      <property name="Name">[opObs]</property>
      <property name="varName">[pObs]</property>
      <property name="Anchor">14</property>
      <property name="Multiline">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{19,446,78,38}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[Instrucoes de Uso]</property>
      <property name="Justify">[Right]</property>
      <property name="Anchor">6</property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">7</property>
    </style>
  </part>
</part>
